#
# spec file for package kgutenbo (Version 0.5.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kgutenbo
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      Reader and downloader for Project Gutenberg Etexts
Version:      0.5.6
Release:      278
Source0:      kgutenbook-0.5.6.tar.gz
Patch0: kgutenbook-0.5.6.dif

%description
Reader and downloader for Project Gutenberg Etexts,
allowing easy an way to access and read etext books
from Project Gutenberg, http://www.promo.net/pg/ .
Please note that some of the books you can download with
this program may be subject to copyrights.

Authors:
--------
    llornkcor <llornkcor@llornkcor.com>

SuSE series: kde

%prep
%setup -n kgutenbook-2000.3.23
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./kgutenbook/Makefile.in --reference=./aclocal.m4
touch ./kgutenbook/docs/en/Makefile.in --reference=./aclocal.m4
touch ./kgutenbook/docs/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL TODO README 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML
%dir /opt/kde/share/doc/HTML/en
%dir /opt/kde/share/doc/HTML/en/kgutenbook
/opt/kde/bin/kgutenbook
/opt/kde/share/applnk/Applications/kgutenbook.kdelnk
/opt/kde/share/doc/HTML/en/kgutenbook/index-1.html
/opt/kde/share/doc/HTML/en/kgutenbook/index-2.html
/opt/kde/share/doc/HTML/en/kgutenbook/index-3.html
/opt/kde/share/doc/HTML/en/kgutenbook/index-4.html
/opt/kde/share/doc/HTML/en/kgutenbook/index-5.html
/opt/kde/share/doc/HTML/en/kgutenbook/index-6.html
/opt/kde/share/doc/HTML/en/kgutenbook/index.html
/opt/kde/share/doc/HTML/en/kgutenbook/logotp3.gif
/opt/kde/share/icons/kgutenbook.xpm
/opt/kde/share/icons/mini/kgutenbook.xpm
/opt/kde/share/locale/da/LC_MESSAGES/kgutenbook.mo

%changelog -n kgutenbo
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Mon Aug 20 2001 - ro@suse.de
- fixed for autoconf
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from kgutenbook-0.5.6.tar.gz by autospec
* Thu Apr 06 2000 - adrian@suse.de
- compile fix for alpha
* Fri Mar 31 2000 - adrian@suse.de
- New version 0.5.6
* Tue Mar 21 2000 - ro@suse.de
- use "" instead of NULL to initialize QString
* Sun Mar 05 2000 - adrian@suse.de
- New version 0.5.2
* Tue Jan 04 2000 - kettner@suse.de
- New version 0.4.2
* Mon Dec 06 1999 - kettner@suse.de
- Spec file created from kgutenbook-0.3.tar.gz by autospec
